{% extends "calib/template.html" %}
{% block title %} Calibration {% endblock %}
{% block heading %} Calibration - step 6 {% endblock %}
{% block content %}
	<h3> Verify the calibration </h3>
	<p> Verify that the red crosses match the centers of transducers. If the identified positions are correct, click "Continue". </p>
	<b> WARNING: Clicking the "Continue" button rewrites the previous calibration </b>
	<div class="imgbox" align="center">
		<svg id="svg" style="width:50%;height:50%" viewBox="0 0 480 480" version="1.1">
			<image x="0" y="0" width="480" height="480" xlink:href="http://{{my_ip}}:5001/image/Balls/image" />
			{% for pos in points %}
			<g class="cross" transform="translate({{pos[0]}},{{pos[1]}})">
				<line x1="-6" x2="6" y1="-6" y2="6" style="stroke: #ff0000;stroke-width:2"/>
				<line x1="-6" x2="6" y1="6" y2="-6" style="stroke: #ff0000;stroke-width:2"/>
			</g>
			{% endfor %}
		</svg>
	</div>
	<div class="float-right" visibility="hidden">
		<a class="btn btn-success" href="/calib/6" role="button">Continue</a>
	</div>
	<div class="float-left">
		<a class="btn btn-danger" href="/calib/4/0" role="button">Back</a>
		</div>
{% endblock %}
{% block scripts %} 
{{ super() }}
{% endblock %}